#!/bin/bash

echo

if test -z "$1"
then
  echo "Aucun argument sur la ligne de commande."
else
  echo "Le premier argument de la ligne de commande est $1."
fi

echo

if /usr/bin/test -z "$1"      # Même résultat qu'avec la commande intégrée "test".
#  ^^^^^^^^^^^^^              # Spécification du chemin complet.
then
  echo "Aucun argument sur la ligne de commande."
else
  echo "Le premier argument de la ligne de commande est $1."
fi

echo

if [ -z "$1" ]                # Identique fonctionnellement au bloc de code.
#   if [ -z "$1"                devrait fonctionner, mais...
#+  Bash répond qu'il manque le crochet fermant.
then
  echo "Aucun argument sur la ligne de commande."
else
  echo "Le premier argument de la ligne de commande est $1."
fi

echo


if /usr/bin/[ -z "$1" ]       # Encore une fois, fonctionnalité identique à ci-dessus.
# if /usr/bin/[ -z "$1"       # Fonctionne, mais donne un message d'erreur.
#                             # Note :
#                             Ce point a été corrigé dans les versions 3.x de Bash.
then
  echo "Aucun argument sur la ligne de commande."
else
  echo "Le premier argument de la ligne de commande est $1."
fi

echo

exit 0
